<div id="promo-code" fxLayout="column">
    <div id="promo-code-form-wrapper" fxLayout="column" fxLayoutAlign="center center">
        <div id="promo-code-form" [@animate]="{value:'*',params:{duration:'300ms',y:'100px'}}">
            <div class="top">
                <div class="logo">
                    <img src="assets/images/logos/fuse.svg">
                </div>
                <div class="title">Enter your email address and we'll send you a link to reset your password</div>
            </div>

            <form name="promoCodeForm" [formGroup]="promoCodeForm" novalidate>
                <mat-form-field appearance="outline">
                    <mat-label>Enter your email</mat-label>
                    <input matInput formControlName="email" #userinput>
                    <mat-error>Email is required</mat-error>
                </mat-form-field>

                <div class="go-to-login">
                    <a routerLink="/login">Back to Login</a>
                </div>

                <button mat-raised-button color="accent" class="subscribe-button" (click)="submit()"
                    aria-label="SUBSCRIBE" [disabled]="promoCodeForm.invalid">
                    Send Link
                </button>
            </form>
        </div>
    </div>
</div>